Subject: Re: [xfs-masters] Re: linux-next: Tree for June 24 (XFS x2)

From: Dave Chinner <[email-masked]>
Date: Wed, 25 Jun 2008 13:43:24 +1000

On Wed, Jun 25, 2008 at 12:01:15PM +1000, Lachlan McIlroy wrote:
> Dave Chinner wrote:
> > On Tue, Jun 24, 2008 at 05:18:09PM -0700, Randy Dunlap wrote:
> >> XFS shows 2 build problems today.
> >>
> >> 1. xfs_stats.h problem
> >>
> >>   CC      fs/xfs/xfs_rtalloc.o
> >> In file included from /local/linsrc/linux-next-20080624/fs/xfs/linux-2.6/xfs_linux.h:91,
> >>                  from /local/linsrc/linux-next-20080624/fs/xfs/xfs.h:44,
> >>                  from /local/linsrc/linux-next-20080624/fs/xfs/xfs_rtalloc.c:18:
> >> /local/linsrc/linux-next-20080624/fs/xfs/linux-2.6/xfs_stats.h: In function 'xfs_init_procfs':
> >> /local/linsrc/linux-next-20080624/fs/xfs/linux-2.6/xfs_stats.h:150: error: expected ';' before '}' token
> >> make[3]: *** [fs/xfs/xfs_rtalloc.o] Error 1
> > 
> > This will be a !CONFIG_PROC_FS change.
> > 
> > Lachlan/Niv - This is the guilty party:
> > 
> > http://oss.sgi.com/cgi-bin/gitweb.cgi?p=xfs/xfs-2.6.git;a=commit;h=e0fe783155e4f1c7106f3579c258b9f995330c19
> > 
> > The commit log is:
> > 
> > [XFS]
> >  
> >  SGI-PV: 111111
> >  SGI-Modid: xfs-linux-melb:xfs-kern:31210a
> >  
> >  Signed-off-by: Niv Sardi <[email-masked]>
> >  Signed-off-by: Lachlan McIlroy <[email-masked]>
> > ---
> > 
> > What the hell happened here? Where's the commit title, description
> > so this can be tracked back to a real patch?  That PV# is also bogus....
> > 
> > I suspect that it is this patch:
> > 
> > http://oss.sgi.com/archives/xfs/2008-05/msg00322.html
> > 
> > Which means that the Signed-Off-By list is incorrect as well as the original
> > patch came from Christoph. This can't go to mainline like this - the commit log
> > needs to be fixed up.
> 
> We knew this checkin was stuffed up and I was planning to fix it in the for-linus
> branch before pushing to mainline.  The merge tools had kittens when it came across
> it too.  I think we need to rip it out of ptools and re-checkin it in with the
> correct details.

It never should have made the merge in that state. Niv, I suggest
you stop using that broken script of yours to do checkins because you
do nothing but break stuff with it. Change logs like:

xiaki pmod2git xfs-linux-melb:xfs-kern:31210a

(http://oss.sgi.com/cgi-bin/cvsweb.cgi/xfs-linux/linux-2.6/xfs_stats.h?f=h#rev1.18)

in the CVS tree and busted git logs make it just about impossible to
track where something came from.

Cheers,

Dave.
-- 
Dave Chinner
[email-masked]